## tox 4.7.0

=== debian/changelog ===
tox (4.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop relax-dependencies.patch, no longer needed.
  * Patch: Allow appending to lists with --override.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Aug 2023 00:57:18 +0200

tox (4.4.6-2) unstable; urgency=medium

  * Team upload.
  * Supports Sphinx 7.1 (Closes: #1042636)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 02 Aug 2023 10:39:25 +0200

tox (4.4.6-1) experimental; urgency=medium

  * New major upstream release.
    - Adjust to the new buildsystem, hatchling in the place of setuptools.
    - Remove removed file src/tox/_quickstart.py from debian/copyright.
    - Remove patch alabaster-no-external-links, alabaster is not used anymore.
    - Add patch docs-remove-shields-io-badges to remove badges that reference
      third-party web resources.
    - Drop patch towncrier-build, included in new upstream.
    - Drop _draft.rst.txt removal, not necessary with new upstream and with
      the real towncrier.
    - Add patch relax-dependencies, to relax the dependency on platformdirs to
      the version currently in Debian (2.6.2 -> 2.6.0).
  * Remove our handwritten manpage, and generate the manpage from the
    project's documentation instead. Add patch sphinx-manpage-conf to generate
    the template for it.
  * Add extend-diff-ignore to debian/source/options to exclude the Python egg
    (egg-info) and thus build twice from source with no warnings.
  * Drop python3-tomli and python3-toml build and runtime dependencies, in
    favor of requiring Python 3.11, which is the default version in Debian.
  * Add patch intersphinx-mapping-local to resolve Python intersphinx
    dependencies using the local objects.inv copy.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 27 Feb 2023 22:54:12 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
#export PYBUILD_VERBOSE=1
export PYBUILD_NAME=tox

# this sets the version using hatch-vcs -> setuptools_scm statically, instead
# through the git tag, and in turn writing it to version.py.
export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

# The tests are not runnable during package build because many invoke the tox
# command line.  It's too much work to make the test suite run partially here
# because upstream always changes the mix.
override_dh_auto_test:

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
	# build HTML docs and manpages with Sphinx
	PYTHONPATH=src:$$PYTHONPATH \
	  python3 -m sphinx -N -bhtml docs/ build/html
	PYTHONPATH=src:$$PYTHONPATH \
	  python3 -m sphinx -N -bman docs/ build/man
endif

## tox 4.9.0

=== debian/changelog ===
tox (4.9.0-2) unstable; urgency=medium

  * Team upload.
  * Patch: Allow appending to *empty* lists with --override (mistake in the
    last patch).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Aug 2023 21:03:06 +0200

tox (4.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch override_append, merged upstream.
  * Pass TOX_HASH_SEED when building the docs, to make the build reproducible.
    See upstream issue #2942 for more context. (Closes: #1043330)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 16 Aug 2023 22:03:46 +0300

## tox 4.11.0

=== debian/changelog ===
tox (4.11.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch override_append_empty, merged upstream.
  * Set proper DEP3 authorship information (author, date, description,
    comment) to all three remaining Debian patches.
  * Add an upstream patch to make the --parallel help text output not
    dependent on the build machine's CPU count, thus fixing a FTBR.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 31 Aug 2023 15:52:41 +0300

## tox 4.11.3

=== debian/changelog ===
tox (4.11.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch set-the-parallel-default-to-auto, merged upstream.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 25 Oct 2023 12:32:58 +0300

## tox 4.11.4

=== debian/changelog ===
tox (4.11.4-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 28 Nov 2023 12:12:55 +0200

## tox 4.13.0

=== debian/changelog ===
tox (4.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 21 Feb 2024 13:44:55 +0200

tox (4.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 25 Jan 2024 11:12:55 +0200

tox (4.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 12 Jan 2024 06:49:16 +0200

=== debian/control ===
Source: tox
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Faidon Liambotis <paravoid@debian.org>
Homepage: https://tox.wiki/
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cachetools,
 python3-chardet,
 python3-colorama,
 python3-filelock,
 python3-packaging,
 python3-platformdirs,
 python3-pyproject-api,
 python3-virtualenv,
 python3-hatchling,
 python3-hatch-vcs,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-doc <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-argparse-cli <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-inline-tabs <!nodoc>,
 furo <!nodoc>,
 towncrier <!nodoc>,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/tox.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tox
Rules-Requires-Root: no
# either this, or Build-Depends+Depends: python3-tomli
X-Python3-Version: >= 3.11

Package: tox
Architecture: all
Depends:
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: virtualenv-based automation of test activities
 Tox as is a generic virtualenv management and test command line tool
 you can use for:
 .
  * checking your package installs correctly with different Python
    versions and interpreters
  * running your tests in each of the environments, configuring your
    test tool of choice
  * acting as a frontend to Continuous Integration servers, greatly
    reducing boilerplate and merging CI and shell-based testing.

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,8 @@
 execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build:
 	# build HTML docs and manpages with Sphinx
-	PYTHONPATH=src:$$PYTHONPATH \
+	TOX_HASH_SEED=0 PYTHONPATH=src:$$PYTHONPATH \
 	  python3 -m sphinx -N -bhtml docs/ build/html
-	PYTHONPATH=src:$$PYTHONPATH \
+	TOX_HASH_SEED=0 PYTHONPATH=src:$$PYTHONPATH \
 	  python3 -m sphinx -N -bman docs/ build/man
 endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
     filenamemangle=s/v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-\$1/ \
https://github.com/tox-dev/@PACKAGE@/tags .*/v?@ANY_VERSION@.(?:tar\.xz|tar\.bz2|tar\.gz|tar\.zstd?)

## tox 4.15.0

=== debian/changelog ===
tox (4.15.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Apr 2024 17:58:33 -0400

tox (4.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 28 Apr 2024 19:17:26 +0300

tox (4.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Pass TOX_USER_CONFIG_FILE=/dev/null when building docs, to fix a
    reproducibility issue. Thanks to Chris Lamb for the report and patch.
    (Closes: #1066084)
  * Drop pre-bookworm compatibility code:
    - Drop X-Python3-Version: >= 3.11, bookworm shipped with 3.11.
    - Drop the SETUPTOOLS_SCM_PRETEND_VERSION override. dh-python >=
      5.20230110 (thus >= bookworm) already does this automatically.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 15 Mar 2024 16:10:03 +0200

## tox 4.18.0

=== debian/changelog ===
tox (4.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 14 Aug 2024 12:16:52 +0300

## tox 4.21.2

=== debian/changelog ===
tox (4.21.2-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 04 Oct 2024 21:57:47 +0300

## tox 4.23.0

=== debian/changelog ===
tox (4.23.0-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 18 Oct 2024 15:11:30 +0300

=== debian/control ===
--- 
+++ 
@@ -29,12 +29,10 @@
  python3-sphinx-inline-tabs <!nodoc>,
  furo <!nodoc>,
  towncrier <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/tox.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tox
 Rules-Requires-Root: no
-# either this, or Build-Depends+Depends: python3-tomli
-X-Python3-Version: >= 3.11
 
 Package: tox
 Architecture: all

## tox 4.24.1

=== debian/changelog ===
tox (4.24.1-1) unstable; urgency=medium

  * New upstream release.
    - Update patch docs-remove-shields-io-badges.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 16 Feb 2025 12:32:04 +0200

=== debian/tests/control ===
Tests: smoketest
Depends: @, python3
Restrictions: allow-stderr

## tox 4.25.0

=== debian/changelog ===
tox (4.25.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 30 Mar 2025 18:02:11 +0300

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python3-sphinx-inline-tabs <!nodoc>,
  furo <!nodoc>,
  towncrier <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/tox.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tox
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,6 @@
 #export DH_VERBOSE=1
 #export PYBUILD_VERBOSE=1
 export PYBUILD_NAME=tox
-
-# this sets the version using hatch-vcs -> setuptools_scm statically, instead
-# through the git tag, and in turn writing it to version.py.
-export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -23,8 +19,8 @@
 execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build:
 	# build HTML docs and manpages with Sphinx
-	TOX_HASH_SEED=0 PYTHONPATH=src:$$PYTHONPATH \
+	TOX_HASH_SEED=0 TOX_USER_CONFIG_FILE=/dev/null PYTHONPATH=src:$$PYTHONPATH \
 	  python3 -m sphinx -N -bhtml docs/ build/html
-	TOX_HASH_SEED=0 PYTHONPATH=src:$$PYTHONPATH \
+	TOX_HASH_SEED=0 TOX_USER_CONFIG_FILE=/dev/null PYTHONPATH=src:$$PYTHONPATH \
 	  python3 -m sphinx -N -bman docs/ build/man
 endif

## tox 4.33.0

=== debian/changelog ===
tox (4.33.0-1) unstable; urgency=medium

  * New upstream release.
    - Add python3-truststore and python3-sphinx-issues as new
      Build-Dependencies.
  * Update debian/watch to version 5.
  * Remove Priority: optional, as this is the dpkg default nowadays.
  * Bump Standards-Version to 4.7.3, no further changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 03 Jan 2026 11:21:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: tox
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>
 Homepage: https://tox.wiki/
@@ -27,9 +26,11 @@
  python3-sphinx-autodoc-typehints <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-inline-tabs <!nodoc>,
+ python3-sphinx-issues <!nodoc>,
+ python3-truststore <!nodoc>,
  furo <!nodoc>,
  towncrier <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/tox.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tox
 Rules-Requires-Root: no

=== debian/watch ===
Version: 5

Template: Github
Owner: tox-dev
Project: tox

## tox envlist-0.3.0

=== requirements.txt ===
braceexpand>=0.1.6
domdf-python-tools>=2.8.1
pluggy>=0.13.1
tox>=3.18.0
